<?php

namespace App\Repositories;

use App\Models\Track;

class TrackRepository extends BaseRepository
{
    public function __construct()
    {

    }

    public function getTrackInserted($pluck_by_field='all', $type='original', array $select_fields)
    {
        if (count($select_fields) == 0) $select_fields = ['id', 'title', 'slug'];

        $query = Track::select($select_fields);

        if ($pluck_by_field == 'all') {
            return $query->get()->toArray();
        }

        switch ($type) {
            case 'upper':
                return $query->pluck($pluck_by_field)->map(function ($item){
                    return strtoupper($item);
                })->all();
                break;
            case 'lower':
                return $query->pluck($pluck_by_field)->map(function ($item){
                    return strtolower($item);
                })->all();
                break;
            default: return $query->pluck($pluck_by_field)->toArray();

        }
    }

    public function getTrackImageEmpty()
    {
        $query = Track::select(['id', 'art', 'id_zing', 'id_nct', 'id_keeng', 'src_thumbnail_medium'])->whereNull('art');
        return $query->get()->toArray();
    }


}